summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2015-07-21 17:33:30 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2015-07-21 17:33:30 +0100
commit0e73cb0aa14494524634c324068a409f2516368a (patch)
treea7c7d5e18b27a850fc8b6d6bf7d098bf6e6962a5
parent4e7ab600625c292cf5d5c29682961896ee9f3021 (diff)
Mirroring fix: Add test case
-rwxr-xr-xtests/tests/mirror-debnewgit22
1 files changed, 22 insertions, 0 deletions
diff --git a/tests/tests/mirror-debnewgit b/tests/tests/mirror-debnewgit
new file mode 100755
index 0000000..ff1da4a
--- /dev/null
+++ b/tests/tests/mirror-debnewgit
@@ -0,0 +1,22 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-mirror
+
+t-debpolicy
+
+t-archive pari-extra 3-1
+t-git-none
+
+t-mirror-setup
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+t-commit 'test commit' 3-2
+
+t-dgit build
+t-dgit push
+t-check-mirrored